%define oname hfstospell

%define major	11
%define libname	%mklibname %{oname} %{major}
%define devname %mklibname %{oname} -d

Name:		hfst-ospell
Summary:	HFST spell checker library and command line tool
Version:	0.5.2
Release:	%mkrel 2
Group:		System/Libraries
License:	ASL 2.0
Url:		https://hfst.github.io/
Source0:	https://github.com/hfst/hfst-ospell/releases/download/v%{version}/%{name}-%{version}.tar.bz2
Patch0:		hfst-ospell-0.5.0-compile.patch
BuildRequires:	pkgconfig(libarchive)
BuildRequires:	pkgconfig(libxml++-2.6)
BuildRequires:	pkgconfig(icu-uc)

%description
This is a minimal HFST optimized lookup format based spell checker library and
a demonstrational implementation of command line based spell checker.

%package -n %{libname}
Summary:	HFST spell checker library

%description -n %{libname}
Minimal HFST optimized lookup format based spell checker library.

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{oname}-devel = %{version}-%{release}

%description -n %{devname}
Development files and headers for %{name}.

%prep
%setup -qn %{name}-%{version}
%autopatch -p1

%build
autoreconf -fi
%configure \
	--disable-static \
	--with-libxmlpp
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%files
%doc AUTHORS NEWS README
%license COPYING
%{_bindir}/hfst-ospell
%{_bindir}/hfst-ospell-office
%{_mandir}/man1/hfst-ospell-office.1*
%{_mandir}/man1/hfst-ospell.1*

%files -n %{libname}
%doc AUTHORS NEWS README
%license COPYING
%{_libdir}/lib%{oname}.so.%{major}
%{_libdir}/lib%{oname}.so.%{major}.*

%files -n %{devname}
%{_includedir}/*
%{_libdir}/lib%{oname}.so
%{_libdir}/pkgconfig/%{oname}.pc


%changelog
* Wed Dec 02 2020 luigiwalser <luigiwalser> 0.5.2-2.mga8
+ Revision: 1651835
- library major is now 11
- call autoreconf to generate configure script
- 0.5.2
- remove upstreamed patch
- fix source URL

* Mon Nov 30 2020 luigiwalser <luigiwalser> 0.5.0-7.mga8
+ Revision: 1650888
- rebuild for icu

* Wed Jul 01 2020 wally <wally> 0.5.0-6.mga8
+ Revision: 1601103
- add upstream patch to fix build with gcc10
- rebuild for icu 67.1

* Sat Apr 04 2020 wally <wally> 0.5.0-5.mga8
+ Revision: 1564463
- rebuild for new icu 66.1

* Sun Feb 16 2020 umeabot <umeabot> 0.5.0-4.mga8
+ Revision: 1534625
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Oct 05 2019 daviddavid <daviddavid> 0.5.0-3.mga8
+ Revision: 1449478
- rebuild for new icu 65.1

* Fri Jan 11 2019 daviddavid <daviddavid> 0.5.0-2.mga7
+ Revision: 1354703
- rebuild for new icu

* Tue Aug 28 2018 daviddavid <daviddavid> 0.5.0-1.mga7
+ Revision: 1255170
- new version: 0.5.0
- add patch to fix build with icu >= 61
- rebuild for new icu

* Fri Dec 29 2017 wally <wally> 0.4.5-1.mga7
+ Revision: 1187028
- new version 0.4.5
- new lib major 10

* Fri Dec 29 2017 wally <wally> 0.4.3-4.mga7
+ Revision: 1186976
- rebuild for new icu

* Thu Mar 16 2017 mrambo3501 <mrambo3501> 0.4.3-3.mga6
+ Revision: 1093146
+ rebuild (emptylog)

* Thu Mar 16 2017 mrambo3501 <mrambo3501> 0.4.3-2.mga6
+ Revision: 1093087
- Rebuild for icu-58.2

* Sat Jan 28 2017 wally <wally> 0.4.3-1.mga6
+ Revision: 1083802
- imported package hfst-ospell

